/***************************************************************************
 *   Copyright (C) 2009 by Marco de Gemmis                                 *
 *   degemmis@di.uniba.it                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <iostream>
using namespace std;

#include "Auto.h"

Auto::Auto()
{
  provenienza = "";
  distanza=0;
}

Auto::Auto(string s, int d)
{
  provenienza = s;
  distanza=d;
}

void Auto::setDist(int d)
{
  distanza = d;
}

void Auto::setProv(string p)
{
  provenienza = p;
}

string Auto::getProv() const
  {
    return (provenienza);
  }

int Auto::getDist() const
  {
    return (distanza);
  }

// sovraccarico dell'operatore <=
bool Auto::operator<=(Auto a)
{
  return (getDist() <= a.getDist());
}

bool Auto::operator>(Auto a)
{
  return (getDist() > a.getDist());
}

ostream &operator<<(ostream &os, const Auto &a)
{
     return (os << " (Da: " << a.getProv() << ", Km: " << a.getDist() << ")");
}
