/***************************************************************************
 *   Copyright (C) 2009 by Marco de Gemmis                                 *
 *   degemmis@di.uniba.it                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _AUTO_H
#define _AUTO_H

#include <string>
#include <iostream>

using namespace std;

class Auto
  {
  friend ostream &operator<<(ostream&, const Auto &);
  
  public:
    Auto();
    Auto(string,int);
    void setProv(string);
    void setDist(int);
    string getProv() const;
    int getDist() const;
    bool operator <=(Auto);
    bool operator >(Auto);
  private:
    string provenienza;
    int distanza;
  };
#endif // _AUTO_H

