/***************************************************************************
 *   Copyright (C) 2009 by Marco de Gemmis                                 *
 *   degemmis@di.uniba.it                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _RAPPORTO_H
#define _RAPPORTO_H

#include <string>
#include <iostream>
#include "listap.h"
#include "Auto.h"

using namespace std;

class Rapporto
{
    
  public:
    Rapporto();
    Rapporto(string,string);
    void elabora(circLista<Auto> &);    
    void print();
    void setDestP(string);
    void setDestS(string);
    circLista<Auto> acquisisciDati();
  private:
    string destPrincipale;
    string destSecondaria;
    int counterDestPrincipale;
    int counterPrinSec;
    int conta(circLista<Auto>&,string);
    int conta(circLista<Auto>&,string,string);
    circLista<Auto> lista_auto; // contiene la lista di auto ordinata per distanza    
};
#endif // _RAPPORTO_H

