#include <iostream>
#include <string>
using namespace std;

#include "Rapporto.h"
#include "Auto.h"
#include "listap.h"

Rapporto::Rapporto()
{
  destPrincipale="";
  destSecondaria="";
  counterDestPrincipale=0;
  counterPrinSec=0;
  lista_auto.crealista();
}

Rapporto::Rapporto(string s1, string s2)
{
  lista_auto.crealista();
  destPrincipale=s1;
  destSecondaria=s2;
  counterDestPrincipale=0;
  counterPrinSec=0;
}

circLista<Auto> Rapporto::acquisisciDati()
{
  // questo metodo dovrebbe acquisire i dati giornalieri da database
  // realizzazione
  circLista<Auto> dati;
  circLista<Auto>::posizione indiceElemento = dati.primoLista();
  Auto a("Bari", 1000);
  dati.inslista(a,indiceElemento=dati.succlista(indiceElemento));
  a.setProv("Genova"); 
  a.setDist(245);
  dati.inslista(a,indiceElemento=dati.succlista(indiceElemento));
  a.setProv("Milano");
  a.setDist(100);
  dati.inslista(a,indiceElemento=dati.succlista(indiceElemento));
  a.setProv("Milano");
  a.setDist(100);
  dati.inslista(a,indiceElemento=dati.succlista(indiceElemento));
  a.setProv("Bologna");
  a.setDist(140);
  dati.inslista(a,indiceElemento=dati.succlista(indiceElemento));
  a.setProv("Milano");
  a.setDist(100);  
  dati.inslista(a,indiceElemento=dati.succlista(indiceElemento));
  a.setProv("Bologna");
  a.setDist(140);  
  dati.inslista(a,indiceElemento=dati.succlista(indiceElemento));
  // etc etc
  // dati. stampaLista(); OK
  return dati;
}

void Rapporto::setDestP(string s)
{
  destPrincipale=s;
  
}

void Rapporto::setDestS(string s)
{
  destSecondaria=s;
  
}

int Rapporto::conta(circLista<Auto> &l, string s)
{
  int ris=0;
  circLista<Auto>::posizione indiceElemento = l.primoLista();
  while (!l.finelista(indiceElemento))
  {
        string s2=l.leggilista(indiceElemento).getProv();
        if (s.compare(s2)==0)
           ris++;
        indiceElemento=l.succlista(indiceElemento);   
  }
  return ris;
}

int Rapporto::conta(circLista<Auto> &l, string s1, string s2)
{
  // CONTA LE AUTO PROVENIENTI DA s1 SEGUITE DA AUTO provenienti da s2
  int ris=0;
  circLista<Auto>::posizione indiceElemento = l.primoLista();
  while (!l.finelista(indiceElemento))
  {
        string s=l.leggilista(indiceElemento).getProv();
        if (s1.compare(s)==0)
        {
           indiceElemento=l.succlista(indiceElemento);
           if (!l.finelista(indiceElemento))
           {
              string prox=l.leggilista(indiceElemento).getProv();
              if (prox.compare(s2)==0) 
              {
                 ris++;
                 indiceElemento=l.succlista(indiceElemento);   
              }
           }
        }
        else indiceElemento=l.succlista(indiceElemento);   
  }
  return ris;  
}

void Rapporto::elabora(circLista<Auto> &l)
{  
  counterDestPrincipale=conta(l,destPrincipale);
  counterPrinSec=conta(l,destPrincipale,destSecondaria);
  l.stampaLista();
  lista_auto.copia(l.ordina()); 
}

void Rapporto::print() 
{
  cout << "RAPPORTO GIORNALIERO" << endl;
  cout << "AUTO PROVENIENZA " << destPrincipale << "= " << counterDestPrincipale << endl;
  cout << "AUTO PROVENIENZA " << destPrincipale << "-" << destSecondaria << "= " << counterPrinSec << endl;
  cout << "LISTA AUTO ORDINATA IN SENSO CRESCENTE PER DISTANZA" << endl;
  lista_auto.stampaLista();
}

/*
void Rapporto::stampa() 
{
  cout << "RAPPORTO GIORNALIERO" << endl;
  // lista_auto.stampaLista();
}
*/
